import dht
import machine

# der DHT11 Sensor ist am GPIO15 angeschlossen
d = dht.DHT11(machine.Pin(15))

# Klasse um die Daten des Sensors
# auszulesen und die gelesenen
# Daten zu halten.
class DHT11:
   
   temperature = 0
   humidity = 0
   
   recorded_data = []
   
   # lesen und speichern der Messdaten
   def readSensordata(self, index):
       d.measure()
       self.temperature = d.temperature()
       self.humidity = d.humidity()
       self.recorded_data.append([index, self.temperature, self.humidity])
       