# erster Teil der Webseite
html_part1 = '''
    <!DOCTYPE html>
        <html>
            <head>
                 <meta http-equiv="refresh" content="30">
                 <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
                 <script type="text/javascript">
                      google.charts.load("current", {"packages":["corechart"]});
                      google.charts.setOnLoadCallback(drawChart);

                      function drawChart() {
                              var data = google.visualization.arrayToDataTable([
                                  ["Zeit", "Temperatur", "rel. Luftfeuchtigkeit"],
'''

# hier zwischen kommen die aufbereiteten Daten für das Liniendiagram

# zweiter Teil der Webseite
html_part2 = '''
                                    ]);
                            
                            var options = {
                                title: "DHT11 - Sensordaten",
                                curveType: "function",
                                legend: { position: "bottom" }
                            };
        
                            var chart = new google.visualization.LineChart(document.getElementById("sensordata_container"));
                            chart.draw(data, options);
                      }
                </script>
                <title>Raspberry Pi Pico W</title>
            </head>
            <body>
                <h1>Aufzeichnung der Messdaten des DHT11 am Raspberry Pi Pico W</h1>
                <div id="sensordata_container" style="width: 900px; height: 500px"></div>
            </body>
        </html>
'''

html = html_part1 + html_part2
